Skip to main content
POST
Append a version-graph commit

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Body

application/json
branchId
string
required
Required string length: 1 - 200
idempotencyKey
string
required
Required string length: 1 - 200
projectId
string
required
Required string length: 1 - 200
message
string
required
Required string length: 1 - 500

Response

Append a version-graph commit

accountId
string
required
Required string length: 1 - 200
ambiguousBase
boolean
required
authorPrincipalSubject
string
required
Required string length: 1 - 200
authorPrincipalType
enum<string>
required
Available options:
agent,
system,
user
branchId
string
required
Required string length: 1 - 200
commitId
string
required
Pattern: ^sha256:([0-9a-f]{64})$
committedAt
string<date-time>
required

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$
contentRoot
string
required
Pattern: ^sha256:([0-9a-f]{64})$
eventRange
object
required
eventRangeDigest
string
required
Pattern: ^sha256:([0-9a-f]{64})$
kind
enum<string>
required
Available options:
annotate,
review,
rework,
handback,
safety,
merge,
import,
branch,
checkpoint,
run
message
string
required
Maximum string length: 500
parentCommitIds
string[]
required
Maximum array length: 2
Pattern: ^sha256:([0-9a-f]{64})$
projectId
string
required
Required string length: 1 - 200
authorPrincipalIssuer
string
Required string length: 1 - 200
authorPrincipalName
string
Minimum string length: 1
authorPrincipalEmail
string
Minimum string length: 1
messageDisplay
string